Bug 496475 - Review Request: perl-Lexical-Persistence - Persistent lexical variable values for arbitrary calls
Review Request: perl-Lexical-Persistence - Persistent lexical variable values...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Lexical-P...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 10:29 EDT by Iain Arnell
Modified: 2009-05-09 00:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.98-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 23:30:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-19 10:29:46 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Lexical-Persistence.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Lexical-Persistence-0.98-1.fc12.src.rpm

Description:
Lexical::Persistence does a few things, all related. Note that all the
behaviors listed here are the defaults. Subclasses can override nearly
every aspect of Lexical::Persistence's behavior.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1307872

*rt-0.06
Comment 1 Chris Weyl 2009-04-19 14:18:18 EDT
There's an examples directory (eg/), why not include it in %doc?

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1307872

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
c2e97f5008c68f0b9f7f643a9ce4b21bfee572d7 Lexical-Persistence-0.98.tar.gz
c2e97f5008c68f0b9f7f643a9ce4b21bfee572d7 Lexical-Persistence-0.98.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Lexical-Persistence-0.98-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Lexical-Persistence-0.98-1.fc10.src.rpm
====> requires for perl-Lexical-Persistence-0.98-1.fc10.src.rpm
perl(Devel::LexAlias) >= 0.04
perl(ExtUtils::MakeMaker)  
perl(PadWalker) >= 1.1
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  

=====> perl-Lexical-Persistence-0.98-1.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Lexical-Persistence-0.98-1.fc10.noarch.rpm
perl(Lexical::Persistence) = 0.98
perl-Lexical-Persistence = 0.98-1.fc10
====> requires for perl-Lexical-Persistence-0.98-1.fc10.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Devel::LexAlias)  
perl(PadWalker)  
perl(strict)  
perl(warnings)  

APPROVED
Comment 2 Iain Arnell 2009-04-19 14:56:36 EDT
New Package CVS Request
=======================
Package Name: perl-Lexical-Persistence
Short Description: Persistent lexical variable values for arbitrary calls
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-23 12:38:22 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-23 23:26:40 EDT
perl-Lexical-Persistence-0.98-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Lexical-Persistence-0.98-1.fc10
Comment 5 Fedora Update System 2009-04-23 23:26:45 EDT
perl-Lexical-Persistence-0.98-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Lexical-Persistence-0.98-1.fc11
Comment 6 Iain Arnell 2009-04-23 23:30:25 EDT
Thanks for the review! :-)
Comment 7 Fedora Update System 2009-05-06 19:28:11 EDT
perl-Lexical-Persistence-0.98-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-09 00:06:00 EDT
perl-Lexical-Persistence-0.98-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.